function [rz] = initializeRz()
    %%
    load('./mat/smiData.mat', 'smiData');

    %%
    rz = struct();

    rz.m = smiData.Solid(12).mass+6*smiData.Solid(20).mass+smiData.Solid(19).mass;

    rz.k.ax   = 2e9; % Axial Stiffness [N/m]
    rz.k.rad  = 7e8; % Radial Stiffness [N/m]
    rz.k.tilt = 1e2; % TODO [N*m/deg]
    rz.k.rot  = 1e2; % Rotational Stiffness [N*m/deg]

    rz.c.ax   = 10*(1/5)*sqrt(rz.k.ax/rz.m);
    rz.c.rad  = 10*(1/5)*sqrt(rz.k.rad/rz.m);
    rz.c.tilt = 100*(1/1)*sqrt(rz.k.tilt/rz.m);
    rz.c.rot  = 100*(1/1)*sqrt(rz.k.rot/rz.m);

    %% Save if no output argument
    if nargout == 0
        save('./mat/rz.mat', 'rz');
    end
end
